pd-cyclone (0.9.2+ds-1) unstable; urgency=medium

  * New upstream version 0.9.2+ds
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Mar 2025 08:45:25 +0100

pd-cyclone (0.9.1+ds-1) unstable; urgency=medium

  * New upstream version 0.9.1+ds
    + Drop patches applied upstream
  * Break older Pd-versions, rather than Depend on a new one

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Aug 2024 20:04:26 +0200

pd-cyclone (0.9.0+ds-2) unstable; urgency=medium

  * Add patch to fix FTBFS with gcc-14 (Closes: #1075369)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 16 Aug 2024 00:33:26 +0200

pd-cyclone (0.9.0+ds-1) unstable; urgency=medium

  * New upstream version 0.9.0+ds
    + Drop patches applied upstream
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 10:53:59 +0200

pd-cyclone (0.8.1+ds-2) unstable; urgency=medium

  * Fix struct member types for Pd64 (Closes: #1073343)
  * Switch to dh-sequence-puredata
  * Add puredata:Provides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 15:43:38 +0200

pd-cyclone (0.8.1+ds-1) unstable; urgency=medium

  * New upstream version 0.8.1+ds
    + Update d/patches
  * Update copyright information
    + Bump dates in d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 23 Apr 2024 08:03:34 +0200

pd-cyclone (0.8.0+ds-1) unstable; urgency=medium

  * New upstream version 0.8.0+ds
    + Update d/patches
    + Drop patches obsoleted upstream
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 16:11:34 +0100

pd-cyclone (0.7.0+ds-1) unstable; urgency=medium

  * New upstream version 0.7.0+ds
    + Drop patches applied upstream
  * Build for both single and double-precision Pd
  * Add patch that removes useless include causing FTBFS
  * Repack sources
    + Add '+ds' to the repacked version number
    + Exclude generated PDF files from source tarballs
    + Install README.md instead of README.pdf
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Add lintian-overrides for false-positives regarding underlinking
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Jul 2023 09:03:42 +0200

pd-cyclone (0.6.1-2) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:38:44 +0100

pd-cyclone (0.6.1-1) unstable; urgency=medium

  * Fix version.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 17:09:12 +0100

pd-cyclone (0.6.1-1~exq) unstable; urgency=medium

  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 17:00:43 +0100

pd-cyclone (0.6.1-1~exp) experimental; urgency=medium

  * New upstream version 0.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches (dropping obsolete ones)
  * Drop 'cyclist' package without replacement (abandoned upstream)
  * Switch to dh-sequence-pd-lib-builder
  * Versioned dependency on puredata-core (>=0.52-1)
  * Drop recommends no longer needed (or existing)
  * Update package description
  * Update homepage stanza
  * Update upstream/metadata
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update lintian-overrides
  * Update d/watch to new upstream repository

  [ Debian Janitor ]
  * Update lintian override info to new format on line 6.
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2022 11:02:03 +0100

pd-cyclone (0.2~beta3-6) unstable; urgency=medium

  * Fix lintian-overrides for newer versions of lintian
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:20:37 +0200

pd-cyclone (0.2~beta3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove obsolete file d/source/local-options
  * Fixed spelling error in patch-description
  * Add salsa-ci configuration
  * Add lintian overrides for false-positive "library-not-linked-against-libc"
  * Declare that building this package does not require 'root' powers.
  * Bump dh-compat to 13
    * Keep dh_missing happy
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Aug 2020 18:26:22 +0200

pd-cyclone (0.2~beta3-4) unstable; urgency=medium

  * Patch to include required standard headers
  * Switched to system-provided Makefile.pdlibbuilder
    * Patch to use system-provided pd-lib-builder
    * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:38:27 +0100

pd-cyclone (0.2~beta3-3) unstable; urgency=medium

  * Enabled hardening
  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Dropped unneeded B-Ds
  * Switched URLs to https://
  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Dropped obsolete d/git-tuneclone.sh
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:01:14 +0100

pd-cyclone (0.2~beta3-2) unstable; urgency=medium

  * Fixed symlinks to README.md (Closes: #857156)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Mar 2017 15:19:53 +0100

pd-cyclone (0.2~beta3-1) unstable; urgency=medium

  * New upstream version 0.2~beta3

  * Removed cludge to manually build cyclist
  * Don't include cyclist binary in pd-cyclone
  * One line per multi-value-field value
  * Update d/copyright
  * Regenerated d/copyright_hints & d/control
  * Bumped debhelper compat to 9

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 12:41:02 +0100

pd-cyclone (0.2~beta2-1) unstable; urgency=medium

  * New upstream version 0.2~beta2

  [ IOhannes m zmölnig ]
  * Dropped patches applied upstream.
  * Bumped standards version to 3.9.8

  [ Felipe Sateler ]
  * Dropped myself from uploaders.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Aug 2016 22:01:50 +0200

pd-cyclone (0.2~beta1-2) unstable; urgency=medium

  * Disable optimization flags (fixes FTBFS on armel)
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Feb 2016 21:29:43 +0100

pd-cyclone (0.2~beta1-1) unstable; urgency=medium

  * Imported Upstream version 0.2~beta1 (Closes: #792721)

  * debian/patches
    * Removed patches applied upstream
    * Patch to honour LDFLAGS
  * Alternative B-D on puredata
  * Depend on 'puredata' rather than 'puredata-core'
  * Demote dependency on pd-libdir to Recommends
  * Cleaned up debian/rules
    * Pass hardening-flags
  * Build and install cyclist
    * temporary Makefile to build cyclist
    * Pass build-flags to cyclist-makefile
  * Watch github repository of main fork
  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (see README.source)
  * Updated debian/copyright
  * Regenerated debian/(control|copyright_hints)
  * Fixed my uploader's name
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Jan 2016 10:00:25 +0100

pd-cyclone (0.1~alpha55-7) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Bumped Standards-Version to 3.9.4
  * Updated to copyright-format/1.0
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig ]
  * Fixed out-of-bound array access (Closes: #715772)
  * Removed unneeded patches
  * Exported CFLAGS and LDFLAGS
    * Added patch to allow passing of extra FLAGS
    * Enabled hardening-flags
  * Dropped Build-Depends on "puredata" (keep only "puredata-dev")
  * Used more CDBS features for packaging
    * Unconditionally included cdbs/utils.mk
    * Used cdbs/pd.mk snippet
    * Switched to debian/control.in
    * Added README.source to emphasize control.in file as *not* a show-stopper
      for contributions.
  * Added lintian-override: upstream comes without Changelog
  * Used canonical Vcs-* stanzas
  * Added myself to uploaders
  * Updated debian/watch
  * Updated debian/copyright
  * Regenerated debian/copyright_hints
  * Bumped Standards-Version to 3.9.5

 -- Felipe Sateler <fsateler@debian.org>  Fri, 21 Mar 2014 11:21:10 -0300

pd-cyclone (0.1~alpha55-6) unstable; urgency=low

  * add new HURD/kFreeBSD fixes and consolidate them into a single patch

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 02 Jan 2012 02:17:20 -0500

pd-cyclone (0.1~alpha55-5) unstable; urgency=low

  * include upstream Makefile.common to fix on GNU and kFreeBSD kernels

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Jan 2012 15:30:37 -0500

pd-cyclone (0.1~alpha55-4) unstable; urgency=low

  * fixed Depends to use new puredata 0.43 package suite
  * take upstream Makefile to fix building on GNU/Hurd and kFreeBSD

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Jan 2012 00:26:09 -0500

pd-cyclone (0.1~alpha55-3) unstable; urgency=low

  * updated Build-Depends to use puredata-dev when available
        (Closes: #629705)
  * bumped standards version to 3.9.2

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Jun 2011 12:34:06 -0400

pd-cyclone (0.1~alpha55-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Tidy long description:
    + Fix typo.
    + Drop remark irrelevant without hyperlink.
    + Rewrap at 72 chars, and use double-space after full-stop.

  [ Hans-Christoph Steiner ]
  * split out cyclist into its own package using debian/tmp+dh_install

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 23 Dec 2010 00:56:53 -0500

pd-cyclone (0.1~alpha55-1) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Initial release.
    Closes: bug#602994.

  [ Felipe Sateler ]
  * Use CDBS instead of long-form debhelper.

  [ Jonas Smedegaard ]
  * Tighten packaging (e.g. relax build-dependencies), thanks to CDBS.
  * Tighten copyright file, thanks to CDBS copyright-check routine.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Dec 2010 10:48:26 +0100
